/** 
 * Project Name:jumper-record-api 
 * File Name:获取胎心报告 
 * Package Name:com.jumper.record.entity.heartrate 
 * Date:2017年3月16日上午9:29:54 
 * Copyright (c) 2017, yangsheng@angeldoctor All Rights Reserved. 
 * 
*/  
package com.jumper.record.heartrate.entity;
public class HeratrateReportQueryReq implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 8886292665316334782L;
	/**签名*/
	private String sign;
	/**开发商ID*/
	private Long businessId;
	/**胎心监测数据ID*/
	private Integer id;
	/**生成报告的手机号码ID*/
	private String mobile;
	/**生成报告的孕周*/
	private String preganyWeek;
	/**生成报告的年龄*/
	private Integer age;
	/**生成报告的用户名*/
	private String userName; 
	/**生成报告评分项,多个使用","隔开 评分项： 有反应、无反应、正弦曲线、不满意*/
	private String items;
	/**生成报告的评分*/
	private Integer source;
	/**走纸速度(1厘米/分，2厘米/分，3厘米/分，20分钟一页，30分钟一页)*/
	private Integer speed;
	/**生成报告的医生*/
	private String doctorName;
	/**生产报告的医院名称*/
	private String hospitalName;
	/**生成报告的备注*/
	private	String remark;
	/**胎心数据偏移量起始位置(偏移量代表偏移了多少数据点)*/
	private Integer start;
	/**胎心数据偏移量结束位置*/
	private Integer end;
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public Long getBusinessId() {
		return businessId;
	}
	public void setBusinessId(Long businessId) {
		this.businessId = businessId;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getPreganyWeek() {
		return preganyWeek;
	}
	public void setPreganyWeek(String preganyWeek) {
		this.preganyWeek = preganyWeek;
	}
	public Integer getAge() {
		return age;
	}
	public void setAge(Integer age) {
		this.age = age;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getItems() {
		return items;
	}
	public void setItems(String items) {
		this.items = items;
	}
	public Integer getSource() {
		return source;
	}
	public void setSource(Integer source) {
		this.source = source;
	}
	public Integer getSpeed() {
		return speed;
	}
	public void setSpeed(Integer speed) {
		this.speed = speed;
	}
	public String getDoctorName() {
		return doctorName;
	}
	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}
	public String getHospitalName() {
		return hospitalName;
	}
	public void setHospitalName(String hospitalName) {
		this.hospitalName = hospitalName;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getStart() {
		return start;
	}
	public void setStart(Integer start) {
		this.start = start;
	}
	public Integer getEnd() {
		return end;
	}
	public void setEnd(Integer end) {
		this.end = end;
	}
}
